gRPC C#
gRPC C#
Namespaces
Grpc.Core
Calls Class
Calls Methods
AsyncClientStreamingCall(TRequest, TResponse) Method
AsyncDuplexStreamingCall(TRequest, TResponse) Method
AsyncServerStreamingCall(TRequest, TResponse) Method
AsyncUnaryCall(TRequest, TResponse) Method
BlockingUnaryCall(TRequest, TResponse) Method

Calls AsyncServerStreamingCall TRequest, TResponse Method

Invokes a server streaming call asynchronously. In server streaming scenario, client sends on request and server responds with a stream of responses.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static AsyncServerStreamingCall<TResponse> AsyncServerStreamingCall<TRequest, TResponse>(
    	CallInvocationDetails<TRequest, TResponse> call,
    	TRequest req
    )
    where TRequest : class
    where TResponse : class

    Public Shared Function AsyncServerStreamingCall(Of TRequest As Class, TResponse As Class) (
    	call As CallInvocationDetails(Of TRequest, TResponse),
    	req As TRequest
    ) As AsyncServerStreamingCall(Of TResponse)

    public:
    generic<typename TRequest, typename TResponse>
    where TRequest : ref class
    where TResponse : ref class
    static AsyncServerStreamingCall<TResponse>^ AsyncServerStreamingCall(
    	CallInvocationDetails<TRequest, TResponse> call,
    	TRequest req
    )

    static member AsyncServerStreamingCall :
            call : CallInvocationDetails<'TRequest, 'TResponse> *
            req : 'TRequest -> AsyncServerStreamingCall<'TResponse>  when 'TRequest : not struct when 'TResponse : not struct

#### Parameters

call
  Type: Grpc.Core
  CallInvocationDetails
  TRequest, TResponse
  The call defintion.
req
  Type: TRequest
  Request message.

#### Type Parameters

TRequest
  Type of request message.
TResponse
  The of response messages.

#### Return Value

Type: AsyncServerStreamingCall
TResponse
A call object providing access to the asynchronous response stream.
See Also

#### Reference

Calls Class
Grpc.Core Namespace